2011.02.07 (0.7.4)
  単表アクセサの自動生成について JDBC 4.0 に対応。

2011.02.07 (0.7.3)
  JDBC 4.0 対応 (SQL Server 2008 R2 対応)
  SQL タイムアウト秒を様式で指定可能なように強化。

2010.07.14 (0.7.2)
  バリューオブジェクト部分のソースコード文字エンコーディングが適切に変更できるようにする。

2009.11.16 (0.7.1)
  定義書上の入出力パラメータ System.DateTime に対して Oracle の TimeStamp 型を割りたてるよう修正。

2009.11.07 (0.7.0)
  Oracle の SYSTIMESTAMP 型に対応。

2009.11.07 (0.6.9) RC7
  (plugin) DB 接続設定チェックの箇所に、コネクション解放モレのバグがあったのを訂正。

2009.11.06 (0.6.8) RC6
  入力パラメータの BigInt について、ODP.NET 上での表現に間違いがあったのでこれを訂正。

2009.11.06 (0.6.7) RC5
  自動生成するソースファイルの文字エンコーディングを指定できるようにする。

2009.11.05 (0.6.6) RC4
  JDBC ドライバーを外部から指定できるようにする。

2009.10.27 (0.6.5) RC3
  SQL 入力パラメータに short を与えた場合に不具合が発生する問題を訂正。

2009.10.01 (0.6.4) RC2
  ODP.NET 対応。(従来は ADO.NET のみの対応であった)
  データアクセス名について ado, odp を ado.net, odp.net に変更。
  (plugin) 選択可能な JDBC ドライバ名に Oracle のドライバ名を追加。

2009.10.01 (0.6.3) RC1
  ODP.NET 対応。(従来は ADO.NET のみの対応であった)
  jar ファイル類の更新。
  削除: BlancoDbConstantsDotNet.java (ファイル名変更時の削除忘れ)
  削除: BlancoDbDotNetDataAccessTypeConstants.java (ファイル自動生成方針変更時の削除忘れ)

2009.09.28 (0.6.2) 開発版
  ODP.NET 対応のコーディング完了。(ymoto さん作成)

2009.09.25 (0.6.1) 開発版
  ODP.NET 対応に着手。(ymoto さん作成)

2009.03.27 (0.6.0) 開発版
  jar ファイル類の更新。

2007.12.24 (0.5.5) Eclipse 3.3 対策
  ※今回に限り pluginのみバージョン番号採番のうえリリースします。
  (plugin)バージョン番号を採番更新。
  (plugin) workbenchMonitorを利用するのを停止しました。
    →これは、Eclipse 3.3 で workbenchMonitor を利用すると org.eclipse.swt.SWTException: Invalid thread access が発生してしまうので、これを避けるためです。
  (plugin)about.htmlを更新。
  (plugin)build.xmlを更新。
  (plugin)plugin.xmlの再生成
  (plugin)ウィザードの生成ディレクトリに関する記述を更新 (Blanco*WizardPage4)
  (jar)jarファイル類を更新チェック。

2007.02.16 (0.5.4) 安定版
  blancoの例外から、元のSqlExceptionを取得可能になるよう機能追加。
  blancoDbとしての例外基底クラス BlancoDbExceptionを追加。

2007.01.24 (0.5.3)
  (C#.NET)フィールドへのfinal修飾は readonly と表現するように機能強化。constではないところにマッピング。
   →SQL Server 2005 CLR に safeとしてアセンブリ登録をする際、staticなフィールドは readonlyが要求されることに対応するため。
  (jar)jarファイル類の更新。

2006.12.26 (0.5.2.1) 0.4.6と0.5.2との差分  (ソースコードの変更は無し)
  ・プライマリキーが無いSelectAllIteratorの生成を抑制するように変更しました。
    これは プライマリキーが無いために ORDER BY が付与できないため、そのような仕様とします。
  ・従来のバージョンでは プライマリキーが無い場合などに実行不能なInsertInvokerが生成されていたが、これの生成を抑制するように変更しました。
  ・Caller のコマンドタイムアウト値について自動生成から漏れていたのを修正しました。

2006.12.25 (0.5.2)
  Caller のコマンドタイムアウト値について自動生成から漏れていたのを修正しました。

2006.12.04 (0.5.1) 開発版
  blancoDbEEへの依存を削除。blanco.db.commonを参照するように変更。
  build.xmlを更新。
  中間XMLファイル形式を blancoDb(Java版)と一致させました。
  呼出型を疎通試験実施。
  クエリタイムアウトの展開に不具合があったのを修正。
  マッピングクラス内の不要なメソッドを除去しました。
  (jar)blancoCodeGeneratorはblancoValueObjectDotNetが利用しているので削除できません。
  単一表での動作互換性を確認しました。一部対象となる表が減っています。
  SQL定義書読み込み機能を実装しました。
  (ant)blancoDbEEとパラメータを同期しました。

2006.12.01 (0.5.0) 開発版
  第二世代へと移行開始。
  大幅にクラスを見直し。
  ・exceptionを移植完了。
  ・invokerが荒いレベルで一致するようになる。
  ・iteratorが荒いレベルで一致するようになる。
  現在、単一表におけるバイナリ列などの互換性がありません。バイナリ列の扱いが異なっています。
  readme.txtを更新しました。

2006.10.24 (0.4.6) 0.4系の最終安定版
  ステートメントのタイムアウト値に対応開始。

2006.10.23 (0.4.5)
  IteratorおよびInvokerの再利用ができない不具合を修正。
  これは SetInputParameterでの実装を一部変更した際(0.4.0)からデグレードであると考えます。

2006.10.19 (0.4.4)
  jarファイル類の更新。

2006.09.27 (0.4.3)
  (単一表)単一表アクセサ自動生成に下記の仕様変更を加えました。
    1.SetInputParameterのパラメータについて、inParamプレフィックスを付与するように仕様を変更した。
      変更前: classなどの予約語がそのまま SetInputParameterのパラメータになる。
      変更後: どのような場合にも、必ず inParamプレフィックスを付与するように仕様を変更しました。
              このため、classなどの場合にも inParamClassと変形するようになり、コンパイルエラーが起きなくなりました。
    2.バリューオブジェクトの GetXXXXXXメソッドが言語予約語と衝突しないような回避仕様を追加しました。
      BlancoDbDotNetSpecialStringGroup.xlsファイルに記載のある名称の場合には F_を付与した別名(AS)の表現にするように変更しました。
      結果として、バリューオブジェクトが GetTypeのようにはならず GetFTypeのようになるよう変更され、コンパイル問題が回避できます。

    下記のような単体試験を実施しました。
    1.デグレードしていないことの確認。
      →NUnitベースの自動試験を実施しました。従来版と新版との間でデグレードしていないことを確認しました。
    2.今回変更した範囲が仕様どおりに適切に変化していることの確認。
      →仕様変更範囲が適切に変化していることを目検しました。
  ※今回の変更は Java版には反映していません。

2006.09.05 (0.4.2)
  自動生成されるソースコードのコメントを見直しました。ADO.NET固有の表現へと改良を実施しました。
  加えて、フィールド変数 fConnection, fTransaction, fResultSetのコメントを見直しました。

2006.07.31 (0.4.1)
  Iterator, Invoker, Callerの SetInputParameterを横通しで見直し。SqlParameterを利用するように変更。
  大きなバイト配列型の検索が適切に動作しない場合があったのでこれを修正。
  floatとdoubleをSqlTypeへのマッピングが間違っていたのを修正。

2006.07.27 (0.4.0)
  (様式変更)ドロップダウンにbooleanがあったのですが、これはboolの誤り。修正。
  ストアドプロシージャの際の入力・出力パラメータがSQL文に登場するかどうかのチェックを追加。
  ストアドプロシージャのSQL入力パラメータの処理(ADO.NET APIの呼び出しパターン)を.NET 2.0ベースに変更。
  ストアドプロシージャのSQLパラメータの処理について byte[] を Imageにマッピングするように変更。
  ストアドプロシージャの出力パラメータについて、string型の場合にはサイズを8000と指定するように変更。
  テーブル列挙でNULLが戻ってきた場合の挙動を強化しました。

2006.07.26 (0.3.9)
  GetStatementという 内部的に保持している SqlCommandを暴露するためのメソッドを追加しました。

2006.07.24 (0.3.8) 開発途中版
  (jexcelapi)JExcelApi 2.6が Sun Java2 SE 1.4.2_12 で動作しない不具合に対応。
    (具体的には JExcelApiのjarファイルにパッチを適用した jxl-2.6blanco.jarを利用開始)
  ストアドプロシージャの出力パラメータについて、プリミティブ型(int, floatなど)の値マッピングを見直し。
  jarファイル類を更新: blancoCg, blancoCommons

2006.07.21 (0.3.7) 開発途中版
  (機能追加) ストアドプロシージャ対応を追加開始。
  (様式変更) ストアドプロシージャに対応する様式変更を実施。
  jarファイル類を更新。

2006.07.18 (0.3.6)
  (単体試験) コマンドタイムアウトに関する実装を追加。

2006.06.30 (0.3.5) ベータ版
  デッドロックおよびタイムアウトの実装を追加。
  これから単体試験に入ります。

2006.06.20 (0.3.4) 開発版
  blancoCg最新版を取り込み。
  (単一表)自動生成されるSQLを blancoSqlFormatterで整形するように機能追加。(Java版には未反映)
  (plugin)テンポラリフォルダをクリアーするかどうかをリソースバンドルで指定する機能を追加。

2006.06.15 (0.3.3) 開発版
  ランタイムクラスファイルを指定名前空間(指定フォルダ)に出力する機能を実装しました。
  XMLコメント部分に <br>が出力される不具合があったので、これを除去。
  生成後ソースコードについて ジェネレーションギャップデザインパターン対応のために privateをprotectedに変更。
  BigDecimalのインスタンス生成について、それのコンストラクタを利用せずに 共通関数でインスタンス生成するように変更。
  Antタスクのデフォルト出力先について「blanco」から「blanco.cs」へと変更。
  検索型SQL文の試し打ちのために従来はStringに対して "" をセットしていました。ところが、uniqueidentifier列の場合には Stringでセットすると変換エラーが発生してしまいます。このため、Stringにマップされる試し打ちの値について nullへと変更します。(blancoDb Java版 (1.5.12) 相当)
  英語版SQL定義書(.net)を追加

2006.06.14 (0.3.2) 開発版
  (plugin)Eclipseプラグイン版を作成開始。
  ランタイムライブラリ周りでEclipseプラグイン下で不具合が発生したので、本体側に予防コードを埋め込み。
  jarファイル類の更新。ファイルヘッダ周りのコンパイル警告が減りました。

2006.05.19 (0.3.1) 開発版
  NotSingleRowExceptionの親クラスが間違っていたのを修正。
  TODO 生成後ソースコードをまだコンパイルすると、まだ警告が発せられます。

2006.05.18 (0.3.0) 開発版
  blancoCodeGenerator次期版に対応。
  【削除】exception配下の *.csについて、ファイル転送ではなく自動生成に切り替え。
  jarファイル類の更新。

2006.04.01 (0.2.0) 安定版
  Java版との差異を整理。(todo.txtに整理結果を反映のうえ、今バージョンには含めません。)
  BITとBOOLEANの双方のcaseをチェック。不足分(BOOLEAN)を追加。

2006.03.29 (0.1.9)
  【仕様変更】.NET Framework SDKについて、プリミティブ型のMinValueをDB上のnullへと型マッピングするよう仕様変更。
  case java.sql.Types.VARBINARY: を追加。
  (Java版には未反映。)
  GetShortは誤りで GetInt16に変更。(.NET版固有。)
  ※小堀さんに単体試験を実施いただきました。
  自動生成する例外クラスについてXMLコメントを是正しました。
  JDK 1.5でコンパイル可能であることを確認しました。

2006.03.27 (0.1.8)
  DateTime型にnullが与えられた場合に、やむを得ずDateTime.MinValueを設定するように仕様変更。

2006.03.23 (0.1.7)
  【バグ修正】string型でDB上でnull許容である場合に、読み込み時に例外が発生するバグを修正。

2006.03.21 (0.1.6)
  【削除】concretesax/BlancoDbDotNetXml.xml を削除 (Java版/.NET版ともに反映)
  【削除】blancoconcretesax-0.0.2.jar
  バージョン番号を定数自動クラス化。
  【削除】BlancoDbConstantsDotNet.java
  ※blancoフォルダの再生成が必要です。

2006.03.20 (0.1.5)
  AntタスクのXLS→XML変換部について、meta2xmlを活用するように改善。(Java版・C#版共通)

2006.03.17 (0.1.4)
  「SQL定義(.net)・詳細説明」の空行待機の行数が多すぎたのでこれを修正。
  【バグ修正】Java版・C#.NET版の双方を修正済み
    [修正前]<tableblock name="blancodbdotnet-detail" waitY="3" titleheight="1">
    [修正後]<tableblock name="blancodbdotnet-detail" waitY="1" titleheight="1">

2006.03.16 (0.1.3)
  C#.NETの型の「小文字化」
   ・decimal (元は Decimal)
   ・bool (元は System.Boolean)
   ・string (元はSystem.String)
  SQL Serverのsql_variant型はサポートしていない(そしてサポートしない)ことが明らかになりました。

2006.03.15 (0.1.2)
  SQL入力パラメータにnullを与えた際の挙動が不正だったのを修正。

2006.03.13 (0.1.1)
  【重要】GetQueryメソッドの文字列について、文字列中の改行ごとに分割するように変更。
          blancoDb Java版への横展開は不要と判断します。
          これは C#.NETコンパイラが、一行の最大長さを 2046 と定めていることに対応するためのものです。
  jarファイル類の更新。
  【バグ修正】一つのSQL入力パラメータを、SQL文で複数回利用すると、実行時にSQL例外になってしまう不具合に対応。
             具体的には、同じ名称のパラメータは一度しかAddしないように変更しました。

2006.03.09 (0.1.0)
  RowオブジェクトのSystem名前空間のusing漏れが発生する現象に対応。
  【重要】detail行の追加に対応。blancoDb Java版への横展開は未実施。

2006.02.09 (0.0.9)
  SQL定義書に「SQL定義・詳細説明」を追加。
  XMLドキュメントのためのXMLコメントの内容を改善。

2006.02.07 (0.0.8)
  バグ修正：単一表の プライマリキーが無い UPDATEとDELETEを生成しないように修正。
  blancoDbEE 1.5.1 と同期をとりました。

2006.02.03 (0.0.7)
  【重要】SQL Server 2005対応。Java版への反映は 1.5.1で実施。
    SQL Server 2005 : jdbcdriver="com.microsoft.sqlserver.jdbc.SQLServerDriver" jdbcurl="jdbc:sqlserver://localhost
    SQL Server 2000 : jdbcdriver="com.microsoft.jdbc.sqlserver.SQLServerDriver" jdbcurl="jdbc:microsoft:sqlserver://localhost:1433;DatabaseName=Northwind;SelectMethod=cursor
    ※接続文字列から SelectMethod=cursor が不要になったのかどうかについては未調査。

  【重要】【バグ】自動コミットをOFF設定。Java版への反映は 1.5.1で実施。
    DriverManager.getConnection(
   の直後に自動コミットOFFを追加しました。
       // 自動コミットをOFFに設定します。
       _conn.setAutoCommit(false);

  【重要】blancoValueObjectDotNetのXML形式が変更されています。
      これはJava版に追いついた格好です。
      blancoValueObjectDotNet, blancoCodeGeneratorDotNetなどのjarファイルの更新に対応。
  【削除】BlancoDbMeta2XmlDotNet.java

2006.01.18 (0.0.6)
  blancoDb Enterprise Edition の 1.3.12から 1.4.1までの変更差分を把握し、内容の同期を実施する。
  jarファイルについて、極力 blancoDb Enterprise Edition 1.4.1に合わせる。

2005.12.21 (0.0.5)
  DateTime型のセッターへの対応
  単一表アクセスのwhereパラメータの命名に名前変形が入っていませんでした。これを修正。

2005.12.20 (0.0.4)
  GetQueryの処理の中を見直し。System.Stringを適切に利用するように変更。
  AntタスクのSQL入力系がバグっていたので修正。

2005.12.15 (0.0.3)
  はじめて生成後ソースコードのコンパイルが全て通過する！

2005.12.14 (0.0.2)
  exceptionフォルダの内容を javaからcsに変更
  一意制約違反に取組中…

2005.12.14 (0.0.1)
  blancoDbの1.3.12をベースにDotNet版へとフォーク。
